
# GeometricProblems.jl

*Collection of example problems with interesting geometric structure for
[GeometricIntegrators.jl](https://github.com/JuliaGNI/GeometricIntegrators.jl).*

[![Stable Docs](https://img.shields.io/badge/docs-stable-blue.svg)](https://juliagni.github.io/GeometricProblems.jl/stable)
[![Latest Docs](https://img.shields.io/badge/docs-latest-blue.svg)](https://juliagni.github.io/GeometricProblems.jl/latest)
[![License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE.md)
[![Build Status](https://github.com/JuliaGNI/GeometricProblems.jl/actions/workflows/CI.yml/badge.svg?branch=main)](https://github.com/JuliaGNI/GeometricProblems.jl/actions/workflows/CI.yml?query=branch%3Amain)
[![codecov](https://codecov.io/gh/JuliaGNI/GeometricProblems.jl/branch/main/graph/badge.svg)](https://codecov.io/gh/JuliaGNI/GeometricProblems.jl)
[![DOI](https://zenodo.org/badge/doi/10.5281/zenodo.3740036.svg)](https://doi.org/10.5281/zenodo.3740036)


#### Example Problems

- [ ] ABC Flow,
- [x] Exponential Growth,
- [ ] Fermi-Pasta-Ulam Problem,
- [ ] Hénon-Heiles System,
- [ ] Kepler Problem,
- [x] Lorenz Attractor in 3D,
- [x] Lotka-Volterra in 2D,
- [x] Lotka-Volterra in 3D,
- [x] Lotka-Volterra in 4D,
- [x] Massless Charged Particle,
- [x] Harmonic Oscillator,
- [x] Coupled Harmonic Oscillator,
- [ ] Nonlinear Oscillators,
    - [ ] Duffing Oscillator,
    - [ ] Lennard-Jones Oscillator,
    - [ ] Mathews-Lakshmanan Oscillator,
    - [ ] Morse Oscillator,
- [x] Mathematical Pendulum,
- [x] Double Pendulum,
- [x] Planar Point Vortices,
- [ ] Rigid Body,
- [ ] Chaplygin Sleigh,
- [ ] Inner Solar System,
- [ ] Outer Solar System,
- [ ] Heavy Top,
- [x] Toda lattice.


See [ChargedParticleDynamics.jl](https://github.com/JuliaPlasma/ChargedParticleDynamics.jl) for

- Charged Particle Motion in various electromagnetic Fields,
- Pauli Particle Dynamics in various electromagnetic Fields,
- Guiding Center Dynamics in various magnetic fields,
- Gyrokinetic Dynamics in various magnetic fields.


See [GeometricExamples.jl](https://github.com/JuliaGNI/GeometricExamples.jl) for
example scripts that run these problems with the integrators implemented in
[GeometricIntegrators.jl](https://github.com/JuliaGNI/GeometricIntegrators.jl).
